#
# Conditional build:
%bcond_with	glamor	Glamor acceleration
%bcond_without	sna	SandyBridge's New Acceleration (also for older generations)
#
%define	libdrm_ver	2.4.41
%define	pixman_ver	0.28.0
%if %{with sna}
%define	xserver_ver	1.10
%else
%define	xserver_ver	1.6.3
%endif
Summary:	X.org video driver for Intel integrated graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla zintegrowanych układów graficznych Intela
Name:		xorg-driver-video-intel
Version:	2.21.15
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-%{version}.tar.bz2
# Source0-md5:	8b646d257ace8197d6ab4e5ddeb8efb2
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
#BuildRequires:	autoconf >= 2.63
#BuildRequires:	automake >= 1:1.10.2-2
%{?with_glamor:BuildRequires:	glamor-devel >= 0.3.1}
BuildRequires:	libdrm-devel >= %{libdrm_ver}
#BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxcb-devel >= 1.5
BuildRequires:	pixman-devel >= %{pixman_ver}
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xcb-util-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXvMC-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-dri2proto-devel >= 2.6
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.13
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= %{xserver_ver}
%{?requires_xorg_xserver_videodrv}
%{?with_glamor:Requires:	glamor >= 0.3.1}
Requires:	libdrm >= %{libdrm_ver}
Requires:	pixman >= %{pixman_ver}
Requires:	xorg-lib-libpciaccess >= 0.10
Requires:	xorg-xserver-libdri >= %{xserver_ver}
Requires:	xorg-xserver-libglx >= %{xserver_ver}
Requires:	xorg-xserver-server >= %{xserver_ver}
Provides:	xorg-driver-video
Provides:	xorg-driver-video-i810
Obsoletes:	X11-driver-i810 < 1:7.0.0
Obsoletes:	XFree86-driver-i810 < 1:7.0.0
Obsoletes:	XFree86-i810
Obsoletes:	xorg-driver-video-i810 < 1.7.2
Conflicts:	vbetool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Intel integrated graphics chipsets. It
supports:
- i810, i810-DC100, i810e, i815, 830M, 845G, 852GM, 855GM, 865G, 915G,
  915GM, 945G, 945GM, 965G, 965Q, 946GZ, 965GM, 945GME, G33, Q33, G35,
  Q35, GM45, G45, Q45, G43, G41 chipsets,
- Pineview-M in Atom N400 series,
- Pineview-D in Atom D400/D500 series.

Requires Kernel Mode Setting (KMS) to be active.

%description -l pl.UTF-8
Sterownik obrazu X.org dla zintegrowanych układów graficznych Intela.
Obsługuje:
- układy i810, i810-DC100, i810e, i815, 830M, 845G, 852GM, 855GM,
  865G, 915G, 915GM, 945G, 945GM, 965G, 965Q, 946GZ, 965GM, 945GME, G33,
  Q33, G35, Q35, GM45, G45, Q45, G43, G41,
- Pineview-M w procesorach Atom z serii N400,
- Pineview-D w procesorach Atom z serii D400/D500.

Wymaga aktywnego Kernel Mode Setting (KMS).

%prep
%setup -q -n xf86-video-intel-%{version}

%build
%configure \
	--disable-silent-rules \
	%{?with_glamor:--enable-glamor} \
	--with-default-accel=%{?with_sna:sna}%{!?with_sna:uxa} \
	--enable-uxa \
	--enable-sna%{!?with_sna:=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/lib*XvMC.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libI810XvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libI810XvMC.so.1
%attr(755,root,root) %{_libdir}/libIntelXvMC.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIntelXvMC.so.1
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/intel_drv.so
%{_mandir}/man4/intel.4*
%changelog
* Mon Oct 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-intel.git;a=log;h=master

* Wed Aug 21 2013 Lukasz Masko <lmasko@pld-linux.org> cab959e
- Up to 2.21.15.

* Sun Aug 04 2013 Lukasz Masko <lmasko@pld-linux.org> 51947e9
- Up to 2.21.14.

* Sun Jul 28 2013 Lukasz Masko <lmasko@pld-linux.org> 45dc1cc
- Up to 2.21.13.

* Sun Jul 14 2013 Lukasz Masko <lmasko@pld-linux.org> f06d049
- Up to 2.21.12.

* Mon Jul 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4545d87
- up to 2.21.11

* Sat Jun 22 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> afef5e1
- up to 2.21.10

* Thu Jun 06 2013 Lukasz Masko <lmasko@pld-linux.org> 57448d6
- Up to 2.21.9.

* Mon May 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> dcb1bb6
- up to 2.21.8

* Tue May 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f28713
- up to 2.21.7

* Sat Apr 06 2013 Lukasz Masko <lmasko@pld-linux.org> 8a4d95d
- Up to 2.21.6.

* Thu Mar 21 2013 Lukasz Masko <lmasko@pld-linux.org> e957dd6
- Up to 2.21.5.

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 533eead
- up to 2.21.4

* Wed Mar 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e483d1
- rel 2

* Wed Feb 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b2ad7a1
- up to 2.21.3

* Thu Feb 14 2013 Tomasz Pala <gotar@pld-linux.org> a478bc0
- bumped libdrm version (not strictly required, but this is an easy lib to update)
"required on gen2/3 in order to prevent a bug causing the DDX to fallback to swrast"

* Sun Feb 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c3ff5e
- up to 2.21.2

* Sun Feb 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 287f2bf
- up to 2.21.1

* Fri Feb 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 718a9ab
- up to 2.21.0

* Sun Jan 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d0a68a7
- up to 2.20.19

* Wed Jan 16 2013 Lukasz Masko <lmasko@pld-linux.org> 9e95060
- Up to 2.20.18.

